/*
 * 2003 Viliam Holub
 */


#ifndef _PARSE_H_
#define _PARSE_H_

#include <termios.h>

/*
 * line control variables
 */
extern tbool carrier_control;
extern tbool flow_control_input;
extern tbool flow_control_output;
extern tbool parity_check;
extern tbool double_stop;
extern tbool ixon;
extern tbool ixoff;

extern signed char character_size;
extern int baud_rate;
extern bool baud_rate_set;
extern int parity;

extern int verbose;

extern char *device_name;


/*
 * miscellaneous flags
 * -1 is illagal value and is assigned to parameter detect
 */
extern bool help;	


struct baud_rate_struct
{
	const char *s;
	speed_t br;
	bool c;
	const char *info;
};

extern const struct baud_rate_struct baud_rates[];


void parse_param( const char **args);

#endif /* _PARSE_H_ */
